Index: LMDZ5/trunk/libf/phylmd/rrtm/readaerosol_optic_rrtm.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/readaerosol_optic_rrtm.F90	(revision 2644)
+++ LMDZ5/trunk/libf/phylmd/rrtm/readaerosol_optic_rrtm.F90	(revision 2693)
@@ -20,9 +20,9 @@
 
   USE infotrac_phy
+  USE YOMCST
 
   IMPLICIT NONE
+
   include "clesphys.h"
-  include "YOMCST.h"
-
 
   ! Input arguments
@@ -104,39 +104,38 @@
      !--convert to ug m-3 unit for consistency with offline fields
      !
-     do i=1,nbtr
-        select case(trim(solsym(i)))
-           case ("ASBCM")
+     DO i=1,nbtr
+        SELECT CASE(trim(solsym(i)))
+           CASE ("ASBCM")
               id_ASBCM = i
-           case ("ASPOMM") 
+           CASE ("ASPOMM") 
               id_ASPOMM = i 
-           case ("ASSO4M")
+           CASE ("ASSO4M")
               id_ASSO4M = i 
-           case ("ASMSAM")
+           CASE ("ASMSAM")
               id_ASMSAM = i 
-           case ("CSSO4M")
+           CASE ("CSSO4M")
               id_CSSO4M = i 
-           case ("CSMSAM")
+           CASE ("CSMSAM")
               id_CSMSAM = i 
-           case ("SSSSM")
+           CASE ("SSSSM")
               id_SSSSM = i 
-           case ("CSSSM")
+           CASE ("CSSSM")
               id_CSSSM = i 
-           case ("ASSSM")
+           CASE ("ASSSM")
               id_ASSSM = i 
-           case ("CIDUSTM")
+           CASE ("CIDUSTM")
               id_CIDUSTM = i 
-           case ("AIBCM")
+           CASE ("AIBCM")
               id_AIBCM = i 
-           case ("AIPOMM")
+           CASE ("AIPOMM")
               id_AIPOMM = i 
-           case ("ASNO3M")
+           CASE ("ASNO3M")
               id_ASNO3M = i 
-           case ("CSNO3M")
+           CASE ("CSNO3M")
               id_CSNO3M = i 
-           case ("CINO3M")
+           CASE ("CINO3M")
               id_CINO3M = i 
-           end select
-     enddo
-
+           END SELECT
+     ENDDO
 
      bcsol(:,:)        =   tr_seri(:,:,id_ASBCM)                         *zrho(:,:)*1.e9  ! ASBCM
@@ -171,6 +170,5 @@
      !
      ! Read and interpolate sulfate
-     IF ( flag_aerosol .EQ. 1 .OR. &
-          flag_aerosol .EQ. 6 ) THEN 
+     IF ( flag_aerosol .EQ. 1 .OR. flag_aerosol .EQ. 6 ) THEN 
 
         CALL readaerosol_interp(id_ASSO4M_phy, itap, pdtphys, rjourvrai, debut, pplay, paprs, t_seri, sulfacc, sulfacc_pi,loadso4)
@@ -178,9 +176,8 @@
         sulfacc(:,:) = 0. ; sulfacc_pi(:,:) = 0.
         loadso4=0.
-     END IF
+     ENDIF
 
      ! Read and interpolate bcsol and bcins
-     IF ( flag_aerosol .EQ. 2 .OR. &
-          flag_aerosol .EQ. 6 ) THEN 
+     IF ( flag_aerosol .EQ. 2 .OR. flag_aerosol .EQ. 6 ) THEN 
 
         ! Get bc aerosol distribution 
@@ -192,10 +189,8 @@
         bcins(:,:) = 0. ; bcins_pi(:,:) = 0.
         loadbc=0.
-     END IF
-
+     ENDIF
 
      ! Read and interpolate pomsol and pomins
-     IF ( flag_aerosol .EQ. 3 .OR. &
-          flag_aerosol .EQ. 6 ) THEN
+     IF ( flag_aerosol .EQ. 3 .OR. flag_aerosol .EQ. 6 ) THEN
 
         CALL readaerosol_interp(id_ASPOMM_phy, itap, pdtphys, rjourvrai, debut, pplay, paprs, t_seri, pomsol, pomsol_pi, load_tmp3)
@@ -206,10 +201,8 @@
         pomins(:,:) = 0. ; pomins_pi(:,:) = 0.
         loadoa=0.
-     END IF
-
+     ENDIF
 
      ! Read and interpolate csssm, ssssm, assssm
-     IF (flag_aerosol .EQ. 4 .OR. &
-          flag_aerosol .EQ. 6 ) THEN 
+     IF (flag_aerosol .EQ. 4 .OR. flag_aerosol .EQ. 6 ) THEN 
 
         CALL readaerosol_interp(id_SSSSM_phy ,itap, pdtphys,rjourvrai, &
@@ -228,6 +221,5 @@
 
      ! Read and interpolate cidustm
-     IF (flag_aerosol .EQ. 5 .OR.  &
-          flag_aerosol .EQ. 6 ) THEN 
+     IF (flag_aerosol .EQ. 5 .OR. flag_aerosol .EQ. 6 ) THEN 
 
         CALL readaerosol_interp(id_CIDUSTM_phy, itap, pdtphys, rjourvrai, debut, pplay, paprs, t_seri, cidust, cidust_pi, loaddust) 
@@ -299,6 +291,6 @@
      DO i = 1, klon
         pdel(i,k) = paprs(i,k) - paprs (i,k+1)
-     END DO
-  END DO
+     ENDDO
+  ENDDO
 
 !--new aerosol properties