Index: /LMDZ5/trunk/DefLists/field_def_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/field_def_lmdz.xml	(revision 2697)
+++ /LMDZ5/trunk/DefLists/field_def_lmdz.xml	(revision 2698)
@@ -616,25 +616,25 @@
     <field_group id="fields_3D_strataer" domain_ref="dom_glo" axis_ref="presnivs">
         <field id="ext_strat_550"      long_name="Strat. aerosol extinction coefficient at 550 nm"       unit="1/m" />
-        <field id="ext_strat_1020"     long_name="Strat. aerosol extinction coefficient at 1020 nm"      unit="1/m">
-        <field id="sulf_convert"       long_name="SO2 mass flux converted to H2SO4"                      unit="kg(S)/m2/layer/s">
-        <field id="sulf_nucl"          long_name="H2SO4 nucleation mass flux"                            unit="kg(S)/m2/layer/s">
-        <field id="sulf_cond_evap"     long_name="H2SO4 condensation/evaporation mass flux"              unit="kg(S)/m2/layer/s">
-        <field id="ocs_convert"        long_name="OCS mass flux converted to SO2"                        unit="kg(S)/m2/layer/s">
-        <field id="R2SO4"              long_name="H2SO4 mass fraction in aerosol"                        unit="%">
-        <field id="OCS_lifetime"       long_name="OCS lifetime"                                          unit="s">
-        <field id="SO2_lifetime"       long_name="SO2 lifetime"                                          unit="s">
-        <field id="SO2_backgr_tend"    long_name="SO2 background tendency"                               unit="kg(S)/m2/layer/s">
-        <field id="OCS_backgr_tend"    long_name="OCS background tendency"                               unit="kg(S)/m2/layer/s">
-        <field id="vsed_aer"           long_name="Strat. aerosol sedimentation velocity (mass-weighted)" unit="m/s">
-        <field id="f_r_wet"            long_name="Conversion factor dry to wet aerosol radius"           unit="-">
+        <field id="ext_strat_1020"     long_name="Strat. aerosol extinction coefficient at 1020 nm"      unit="1/m" />
+        <field id="sulf_convert"       long_name="SO2 mass flux converted to H2SO4"                      unit="kg(S)/m2/layer/s" />
+        <field id="sulf_nucl"          long_name="H2SO4 nucleation mass flux"                            unit="kg(S)/m2/layer/s" />
+        <field id="sulf_cond_evap"     long_name="H2SO4 condensation/evaporation mass flux"              unit="kg(S)/m2/layer/s" />
+        <field id="ocs_convert"        long_name="OCS mass flux converted to SO2"                        unit="kg(S)/m2/layer/s" />
+        <field id="R2SO4"              long_name="H2SO4 mass fraction in aerosol"                        unit="%" />
+        <field id="OCS_lifetime"       long_name="OCS lifetime"                                          unit="s" />
+        <field id="SO2_lifetime"       long_name="SO2 lifetime"                                          unit="s" />
+        <field id="SO2_backgr_tend"    long_name="SO2 background tendency"                               unit="kg(S)/m2/layer/s" />
+        <field id="OCS_backgr_tend"    long_name="OCS background tendency"                               unit="kg(S)/m2/layer/s" />
+        <field id="vsed_aer"           long_name="Strat. aerosol sedimentation velocity (mass-weighted)" unit="m/s" />
+        <field id="f_r_wet"            long_name="Conversion factor dry to wet aerosol radius"           unit="-" />
     </field_group>
     <field_group id="fields_2D_strataer" domain_ref="dom_glo">
-        <field id="OD550_strat_only"   long_name="Stratospheric Aerosol Optical depth at 550 nm "        unit="1">
-        <field id="OD1020_strat_only"  long_name="Stratospheric Aerosol Optical depth at 1020 nm "       unit="1">
-        <field id="sulf_dep_dry"       long_name="Sulfur dry deposition flux"                            unit="kg(S)/m2/s">
-        <field id="sulf_dep_wet"       long_name="Sulfur wet deposition flux"                            unit="kg(S)/m2/s">
-        <field id="surf_PM25_sulf"     long_name="Sulfate PM2.5 concentration at the surface"            unit="ug/m3">
-        <field id="p_tropopause"       long_name="Tropopause pressure"                                   unit="Pa">
-        <field id="sflux"              long_name="Ground sedimentation flux of strat. particles"         unit="kg(S)/m2/s">
+        <field id="OD550_strat_only"   long_name="Stratospheric Aerosol Optical depth at 550 nm "        unit="1" />
+        <field id="OD1020_strat_only"  long_name="Stratospheric Aerosol Optical depth at 1020 nm "       unit="1" />
+        <field id="sulf_dep_dry"       long_name="Sulfur dry deposition flux"                            unit="kg(S)/m2/s" />
+        <field id="sulf_dep_wet"       long_name="Sulfur wet deposition flux"                            unit="kg(S)/m2/s" />
+        <field id="surf_PM25_sulf"     long_name="Sulfate PM2.5 concentration at the surface"            unit="ug/m3" />
+        <field id="p_tropopause"       long_name="Tropopause pressure"                                   unit="Pa" />
+        <field id="sflux"              long_name="Ground sedimentation flux of strat. particles"         unit="kg(S)/m2/s" />
     </field_group>
     