Index: /LMDZ5/trunk/DefLists/field_def_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/field_def_lmdz.xml	(revision 2992)
+++ /LMDZ5/trunk/DefLists/field_def_lmdz.xml	(revision 2993)
@@ -464,4 +464,6 @@
         <field id="z_tropopause"  long_name="Tropopause height" unit="m"      detect_missing_value=".true."  />
         <field id="t_tropopause"  long_name="Tropopause temperature" unit="K" detect_missing_value=".true."  />
+        <field id="colO3_strat"    long_name="Ozone stratospheric column"     unit="DU" />             <!-- Added ThL -->
+        <field id="colO3_trop"     long_name="Ozone tropospheric column"      unit="DU" />             <!-- Added ThL -->
     </field_group>
 
Index: /LMDZ5/trunk/DefLists/file_def_histday_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histday_lmdz.xml	(revision 2992)
+++ /LMDZ5/trunk/DefLists/file_def_histday_lmdz.xml	(revision 2993)
@@ -238,4 +238,6 @@
                 <field field_ref="alp_bl_conv" level="1" />
                 <field field_ref="alp_bl_stat" level="1" />
+                <field field_ref="colO3_strat" level="6" />     <!-- Added ThL -->
+                <field field_ref="colO3_trop"  level="6" />     <!-- Added ThL -->
 
                 <field_group operation="average" freq_op="1ts" detect_missing_value=".true.">
Index: /LMDZ5/trunk/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 2992)
+++ /LMDZ5/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 2993)
@@ -258,4 +258,6 @@
                 <field field_ref="alp_bl_conv" level="1" />
                 <field field_ref="alp_bl_stat" level="1" />
+                <field field_ref="colO3_strat" level="2" />     <!-- Added ThL -->
+                <field field_ref="colO3_trop"  level="2" />     <!-- Added ThL -->
 
                 <field_group operation="average" freq_op="1ts" detect_missing_value=".true.">
Index: /LMDZ5/trunk/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 2992)
+++ /LMDZ5/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 2993)
@@ -1234,4 +1234,10 @@
   TYPE(ctrl_out), SAVE :: o_t_tropopause = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
     't_tropopause', 'Tropopause temperature', 'K', (/ ('', i=1, 10) /))
+!--Added ThL
+  TYPE(ctrl_out), SAVE :: o_col_O3_strato = ctrl_out((/2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'colO3_strat','Ozone stratospheric column', 'DU', (/('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_col_O3_tropo = ctrl_out((/2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'colO3_trop','Ozone tropospheric column', 'DU', (/('', i=1, 10) /))
+!--end add ThL
 
 #ifdef CPP_StratAer
Index: /LMDZ5/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 2992)
+++ /LMDZ5/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 2993)
@@ -186,5 +186,7 @@
          o_alt_tropo, & 
 ! Tropopause
-         o_p_tropopause, o_z_tropopause, o_t_tropopause
+         o_p_tropopause, o_z_tropopause, o_t_tropopause,  &
+         o_col_O3_strato, o_col_O3_tropo               ! Added ThL
+
 
 #ifdef CPP_StratAer
@@ -1228,4 +1230,17 @@
        CALL histwrite_phy(o_z_tropopause, z_tropopause)
 
+! ThL -- In the following, we assume read_climoz == 1
+       zx_tmp_fi2d = 0.0    ! Computation for strato, added ThL
+       DO k=1, klev
+          zx_tmp_fi2d(:) = zx_tmp_fi2d(:) + wo(:,k,1) * stratomask(:,k) * 1.e3
+       END DO
+       CALL histwrite_phy(o_col_O3_strato, zx_tmp_fi2d) ! Added ThL
+       zx_tmp_fi2d = 0.0    ! Computation for tropo, added ThL
+       DO k=1, klev
+          zx_tmp_fi2d(:) = zx_tmp_fi2d(:) + wo(:,k,1) * (1.0-stratomask(:,k)) * 1.e3
+       END DO
+       CALL histwrite_phy(o_col_O3_tropo, zx_tmp_fi2d)   ! Added ThL
+! end add ThL
+
 #ifdef CPP_StratAer
        IF (type_trac=='coag') THEN