Index: LMDZ6/branches/IPSLCM6.0.13/DefLists/context_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.13/DefLists/context_lmdz.xml	(revision 3012)
+++ LMDZ6/branches/IPSLCM6.0.13/DefLists/context_lmdz.xml	(revision 3015)
@@ -2,16 +2,16 @@
 <context id="LMDZ">
 <!--  <calendar type="D360" start_date="1980-01-01 00:00:00" /> -->
-  
+
   <!-- Define available variables -->
   <field_definition src="./field_def_lmdz.xml"/>
-  
+
   <!-- Define output files
-       Each file contains the list of variables and their output levels -->
-  
+              Each file contains the list of variables and their output levels -->
+
   <file_definition src="./file_def_histday_lmdz.xml"/>
   <file_definition src="./file_def_histhf_lmdz.xml"/>
   <file_definition src="./file_def_histins_lmdz.xml"/>
 <!--  <file_definition src="./file_def_histLES_lmdz.xml"/> -->
-  <file_definition src="./file_def_histmth_lmdz.xml"/> 
+  <file_definition src="./file_def_histmth_lmdz.xml"/>
 <!--  <file_definition src="./file_def_histstn_lmdz.xml"/> -->
   <file_definition src="./file_def_histmthNMC_lmdz.xml"/>
@@ -22,5 +22,5 @@
 <!--  <file_definition src="./file_def_histhfCOSP_lmdz.xml"/> -->
   <file_definition src="./file_def_histstrataer_lmdz.xml"/>
-  
+ 
   <!-- Define domains and groups of domains -->
   <domain_definition>
@@ -48,19 +48,7 @@
     <axis id="Bhyb" standard_name="Bhyb comp of Hyb Cord" unit="">
     </axis>
-    <axis id="Ahyb_inter" standard_name="A comp of Hyb Cord at interface" unit="Pa">
-    </axis> 
-    <axis id="Bhyb_inter" standard_name="B comp of Hyb Cord at interface" unit="">
-    </axis>
     <axis id="Alt" standard_name="Height approx for scale heigh of 8km at levels" unit="km">
     </axis>
     <axis id="plev" standard_name="model_level_number" unit="Pa">
-    </axis>
-    <axis id="klev"  prec="8" long_name = "hybrid sigma pressure coordinate"
-        standard_name ="atmosphere_hybrid_sigma_pressure_coordinate" unit="1">
-    <!-- <variable name="formula" type="string"> p = ap + b*ps </variable> -->
-    <!-- <variable name="formula_terms" type="string"> ap: ap b: b ps: ps </variable> -->
-    </axis>
-
-    <axis id="bnds" standard_name="bounds" unit="1" >
     </axis>
 
@@ -97,6 +85,4 @@
     </grid>
 
-   <grid id="klev_bnds"> <axis axis_ref="klev" /> <axis axis_ref="bnds" /> </grid>
-
      <grid id="grid_glo">
         <domain id="dom_glo" />
@@ -112,4 +98,29 @@
         <domain id="dom_glo" />
         <axis id="plev" />
+     </grid>
+
+     <grid id="grid_glo_height">
+        <domain id="dom_glo" />
+        <axis id="height" />
+     </grid>
+
+     <grid id="grid_glo_heightmlev">
+        <domain id="dom_glo" />
+        <axis id="height_mlev" />
+     </grid>
+
+     <grid id="grid_glo_temp">
+        <domain id="dom_glo" />
+        <axis id="temp" />
+     </grid>
+
+     <grid id="grid_glo_sza">
+        <domain id="dom_glo" />
+        <axis id="sza" />
+     </grid>
+
+     <grid id="grid_glo_column">
+        <domain id="dom_glo" />
+        <axis id="column" />
      </grid>
 
Index: LMDZ6/branches/IPSLCM6.0.13/DefLists/field_def_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.13/DefLists/field_def_lmdz.xml	(revision 3012)
+++ LMDZ6/branches/IPSLCM6.0.13/DefLists/field_def_lmdz.xml	(revision 3015)
@@ -6,5 +6,5 @@
 <!--        <field id="Alt"  long_name="Pseudo-altitude (for an 8km scale height)"    unit="km" />  -->
 <!--    </field_group>  -->
-    
+
     <field_group id="coord_hyb">
         <field id="Ahyb"      axis_ref="klev" />
@@ -13,5 +13,5 @@
         <field id="Bhyb_inter"  grid_ref="klev_bnds" />
     </field_group>
-
+    
     <field_group id="fields_2D" grid_ref="grid_glo">
         <field id="phis"    long_name="Surface geop.height"     unit="m2/s2" />
@@ -783,62 +783,70 @@
     </field_group>
 
-    <field_group id="fields_COSP_CALIPSO" grid_ref="grid_glo" freq_op="3h">
+    <field_group id="fields_COSP_CALIPSO_2D" grid_ref="grid_glo" freq_op="3h">
       <field id="cllcalipso"    long_name="Lidar Low-level Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="clhcalipso"    long_name="Lidar Hight-level Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="clmcalipso"    long_name="Lidar Mid-level Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="cltcalipso"    long_name="Lidar Total Cloud Fraction"   unit="1"  detect_missing_value=".true." />
-      <field id="clcalipso"  long_name="Lidar Cloud Fraction (532 nm)" unit="1" axis_ref="height"  detect_missing_value=".true." />
-      <field id="pcllcalipso"  field_ref="cllcalipso"  long_name="Lidar Low-level Cloud Fraction"   unit="%"> cllcalipso*100 </field>
-      <field id="pclhcalipso"  field_ref="clhcalipso"  long_name="Lidar Hight-level Cloud Fraction"   unit="%"> clhcalipso*100 </field>
-      <field id="pclmcalipso"  field_ref="clmcalipso"  long_name="Lidar Mid-level Cloud Fraction"   unit="%"> clmcalipso*100 </field>
-      <field id="pcltcalipso" field_ref="cltcalipso"   long_name="Lidar Total Cloud Fraction"   unit="%"> cltcalipso*100 </field>
-      <field id="pclcalipso" field_ref="clcalipso" long_name="Lidar Cloud Fraction (532 nm)" unit="%" axis_ref="height"> clcalipso*100 </field>
-      <field id="parasol_refl"  long_name="PARASOL-like mono-directional reflectance" unit="1" axis_ref="sza"  detect_missing_value=".true." />
-      <field id="parasol_crefl"  long_name="PARASOL-like mono-directional reflectance (integral)" unit="1" axis_ref="sza"  detect_missing_value=".true." />
-      <field id="Ncrefl"  long_name="Nb for PARASOL-like mono-directional reflectance" unit="1" axis_ref="sza"  detect_missing_value=".true." />
-      <field id="beta_mol532" long_name="Lidar Molecular Backscatter (532 nm)" unit="m-1 sr-1" axis_ref="height_mlev"  detect_missing_value=".true." />
+      <field id="pcllcalipso"  field_ref="cllcalipso"  long_name="Lidar Low-level Cloud Fraction"   unit="%"  detect_missing_value=".true." > cllcalipso*100 </field>
+      <field id="pclhcalipso"  field_ref="clhcalipso"  long_name="Lidar Hight-level Cloud Fraction"   unit="%"  detect_missing_value=".true." > clhcalipso*100 </field>
+      <field id="pclmcalipso"  field_ref="clmcalipso"  long_name="Lidar Mid-level Cloud Fraction"   unit="%"  detect_missing_value=".true." > clmcalipso*100 </field>
+      <field id="pcltcalipso" field_ref="cltcalipso"   long_name="Lidar Total Cloud Fraction"   unit="%" detect_missing_value=".true." > cltcalipso*100 </field>
       <field id="cllcalipsoice"   long_name="Lidar Ice-Phase Low-level Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="clhcalipsoice"   long_name="Lidar Ice-Phase Hight-level Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="clmcalipsoice"   long_name="Lidar Ice-Phase Mid-level Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="cltcalipsoice"   long_name="Lidar Ice-Phase Total Cloud Fraction"   unit="1"  detect_missing_value=".true." />
-      <field id="clcalipsoice"    long_name="Lidar Ice-Phase Cloud Fraction (532 nm)" unit="1" axis_ref="height"  detect_missing_value=".true." />
       <field id="cllcalipsoliq"   long_name="Lidar Liq-Phase Low-level Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="clhcalipsoliq"   long_name="Lidar Liq-Phase Hight-level Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="clmcalipsoliq"   long_name="Lidar Liq-Phase Mid-level Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="cltcalipsoliq"   long_name="Lidar Liq-Phase Total Cloud Fraction"   unit="1"  detect_missing_value=".true." />
-      <field id="clcalipsoliq"    long_name="Lidar Liq-Phase Cloud Fraction (532 nm)" unit="1" axis_ref="height"  detect_missing_value=".true." />
       <field id="cllcalipsoun"    long_name="Lidar Undefined-Phase Low-level Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="clhcalipsoun"    long_name="Lidar Undefined-Phase Hight-level Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="clmcalipsoun"    long_name="Lidar Undefined-Phase Mid-level Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="cltcalipsoun"    long_name="Lidar Undefined-Phase Total Cloud Fraction"   unit="1"  detect_missing_value=".true." />
-      <field id="clcalipsoun"     long_name="Lidar Undefined-Phase Cloud Fraction (532 nm)" unit="1" axis_ref="height"  detect_missing_value=".true." />
-      <field id="clcalipsotmp"    long_name="Lidar Cloud Fraction (532 nm)" unit="%" axis_ref="temp"  detect_missing_value=".true." />
-      <field id="clcalipsotmpliq" long_name="Lidar Liq-Phase Cloud Fraction (532 nm)" unit="1" axis_ref="temp"  detect_missing_value=".true." />
-      <field id="clcalipsotmpice" long_name="Lidar Ice-Phase Cloud Fraction (532 nm)" unit="1" axis_ref="temp"  detect_missing_value=".true." />
-      <field id="clcalipsotmpun"  long_name="Undefined-Phase Total Cloud Fraction"   unit="1" axis_ref="temp"  detect_missing_value=".true." />
       <field id="clopaquecalipso"  long_name="Lidar Opaque Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="clthincalipso"    long_name="Lidar Thin Cloud Fraction"   unit="1"  detect_missing_value=".true." />
       <field id="clzopaquecalipso" long_name="Lidar mean altitude of opacity"   unit="m"  detect_missing_value=".true." />
-      <field id="clcalipsoopaque"  long_name="Lidar Opaque Cloud profile Fraction (532 nm)" unit="1" axis_ref="height"  detect_missing_value=".true." />
-      <field id="clcalipsothin"    long_name="Lidar Thin Cloud profile Fraction (532 nm)" unit="1" axis_ref="height"  detect_missing_value=".true." />
-      <field id="clcalipsozopaque" long_name="Lidar z_opaque Fraction (532 nm)" unit="1" axis_ref="height"  detect_missing_value=".true." />
-      <field id="clcalipsoopacity" long_name="Lidar opacity Fraction (532 nm)" unit="1" axis_ref="height"  detect_missing_value=".true." />
-      <field id="proftemp"         long_name="Temperature profile (40 lev)" unit="K" axis_ref="height"  detect_missing_value=".true." />
     </field_group>  
+    <field_group id="fields_COSP_CALIPSO_3D_height" grid_ref="grid_glo_height" freq_op="3h">
+      <field id="clcalipso"  long_name="Lidar Cloud Fraction (532 nm)" unit="1" detect_missing_value=".true." />
+      <field id="pclcalipso" field_ref="clcalipso" long_name="Lidar Cloud Fraction (532 nm)" unit="%" detect_missing_value=".true." > clcalipso*100 </field>
+      <field id="clcalipsoice"    long_name="Lidar Ice-Phase Cloud Fraction (532 nm)" unit="1" detect_missing_value=".true." />
+      <field id="clcalipsoliq"    long_name="Lidar Liq-Phase Cloud Fraction (532 nm)" unit="1" detect_missing_value=".true." />
+      <field id="clcalipsoun"    long_name="Lidar Undefined-Phase Cloud Fraction (532 nm)" unit="1" detect_missing_value=".true." />
+      <field id="clcalipsoopaque"  long_name="Lidar Opaque Cloud profile Fraction (532 nm)" unit="1" detect_missing_value=".true." />
+      <field id="clcalipsothin"    long_name="Lidar Thin Cloud profile Fraction (532 nm)" unit="1" detect_missing_value=".true." />
+      <field id="clcalipsozopaque" long_name="Lidar z_opaque Fraction (532 nm)" unit="1"  detect_missing_value=".true." />
+      <field id="clcalipsoopacity" long_name="Lidar opacity Fraction (532 nm)" unit="1" detect_missing_value=".true." />
+      <field id="proftemp"         long_name="Temperature profile (40 lev)" unit="K" detect_missing_value=".true." />
+    </field_group>
+    <field_group id="fields_COSP_CALIPSO_3D_heightmlev" grid_ref="grid_glo_heightmlev" freq_op="3h">
+      <field id="beta_mol532" long_name="Lidar Molecular Backscatter (532 nm)" unit="m-1 sr-1" detect_missing_value=".true." />
+    </field_group>
+    <field_group id="fields_COSP_CALIPSO_3D_temp" grid_ref="grid_glo_temp" freq_op="3h">
+      <field id="clcalipsotmp"    long_name="Lidar Cloud Fraction (532 nm)" unit="%"  detect_missing_value=".true." />
+      <field id="clcalipsotmpliq" long_name="Lidar Liq-Phase Cloud Fraction (532 nm)" unit="1" detect_missing_value=".true." />
+      <field id="clcalipsotmpice" long_name="Lidar Ice-Phase Cloud Fraction (532 nm)" unit="1" detect_missing_value=".true." />
+      <field id="clcalipsotmpun"  long_name="Undefined-Phase Total Cloud Fraction"   unit="1"  detect_missing_value=".true." />
+    </field_group>
+   <field_group id="fields_COSP_CALIPSO_3D_sza" grid_ref="grid_glo_sza" freq_op="3h">
+     <field id="parasol_refl"  long_name="PARASOL-like mono-directional reflectance" unit="1" detect_missing_value=".true." />
+      <field id="parasol_crefl"  long_name="PARASOL-like mono-directional reflectance (integral)" unit="1" detect_missing_value=".true." />
+      <field id="Ncrefl"  long_name="Nb for PARASOL-like mono-directional reflectance" unit="1" detect_missing_value=".true." />
+    </field_group>
       <field id="cfad_lidarsr532" long_name="Lidar Scattering Ratio CFAD (532 nm)" unit="1" freq_op="3h" grid_ref="grid4Dsrbin"  detect_missing_value=".true." />
       <field id="atb532" long_name="Lidar Attenuated Total Backscatter (532 nm)" unit="1" freq_op="3h" grid_ref="grid4Dcol"  detect_missing_value=".true." />
       <field id="profSR" long_name="Scattering Ratio profiles" unit="1" freq_op="3h" grid_ref="grid4Dcol2"  detect_missing_value=".true." />
 
-    <field_group id="fields_COSP_CLOUDSAT" grid_ref="grid_glo" freq_op="3h">
+    <field_group id="fields_COSP_CLOUDSAT_2D" grid_ref="grid_glo" freq_op="3h">
       <field id="cltlidarradar" long_name="Lidar and Radar Total Cloud Fraction" unit="1"  detect_missing_value=".true." />
-      <field id="clcalipso2"  long_name="CALIPSO Cloud Fraction Undetected by CloudSat" unit="1" axis_ref="height"  detect_missing_value=".true." />
+    </field_group>
+    <field_group id="fields_COSP_CLOUDSAT_3D" grid_ref="grid_glo_height" freq_op="3h">
+      <field id="clcalipso2"  long_name="CALIPSO Cloud Fraction Undetected by CloudSat" unit="1" detect_missing_value=".true." />
     </field_group>
       <field id="dbze94" long_name="CloudSat Radar Reflectivity" unit="1" freq_op="3h" grid_ref="grid4Dcol"  detect_missing_value=".true." />
       <field id="cfadDbze94" long_name="CloudSat Radar Reflectivity CFAD" unit="1" freq_op="3h" grid_ref="grid4Ddbze"  detect_missing_value=".true." />
 
-    <field_group id="fields_COSP_ISCCP" grid_ref="grid_glo" freq_op="3h">
+    <field_group id="fields_COSP_ISCCP_2D" grid_ref="grid_glo" freq_op="3h">
       <field id="sunlit" long_name="1 for day points, 0 for nightime" unit="1"  detect_missing_value=".true." />
-      <field id="boxtauisccp" long_name="Optical Depth in Each Column as Calculated by the ISCCP Simulator" unit="1" axis_ref="column"  detect_missing_value=".true." />
-      <field id="boxptopisccp" long_name="Cloud Top Pressure in Each Column as Calculated by the ISCCP Simulator" unit="Pa" axis_ref="column"  detect_missing_value=".true." />
       <field id="tclisccp" long_name="Total Cloud Fraction as Calculated by the ISCCP Simulator" unit="1"  detect_missing_value=".true." />
       <field id="ctpisccp" long_name="Mean Cloud Top Pressure as Calculated by the ISCCP Simulator" unit="Pa"  detect_missing_value=".true." />
@@ -848,5 +856,9 @@
       <field id="meantbclrisccp" long_name="Mean clear-sky 10.5 micron brightness temperature as calculated by the ISCCP Simulator" unit="K"  detect_missing_value=".true." />
     </field_group>
-     <field id="clisccp2" long_name="Cloud Fraction as Calculated by the ISCCP Simulator" unit="1" freq_op="3h" grid_ref="grid4Dtau"  detect_missing_value=".true." />
+    <field_group id="fields_COSP_ISCCP_3D" grid_ref="grid_glo_column" freq_op="3h">
+      <field id="boxtauisccp" long_name="Optical Depth in Each Column as Calculated by the ISCCP Simulator" unit="1" detect_missing_value=".true." />
+      <field id="boxptopisccp" long_name="Cloud Top Pressure in Each Column as Calculated by the ISCCP Simulator" unit="Pa" detect_missing_value=".true." />
+    </field_group>
+      <field id="clisccp2" long_name="Cloud Fraction as Calculated by the ISCCP Simulator" unit="1" freq_op="3h" grid_ref="grid4Dtau"  detect_missing_value=".true." />
 
     <field_group id="fields_COSP_MISR" freq_op="3h">
Index: LMDZ6/branches/IPSLCM6.0.13/DefLists/file_def_histdayCOSP_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.13/DefLists/file_def_histdayCOSP_lmdz.xml	(revision 3012)
+++ LMDZ6/branches/IPSLCM6.0.13/DefLists/file_def_histdayCOSP_lmdz.xml	(revision 3015)
@@ -20,15 +20,15 @@
                 <field field_ref="clhcalipsoun"         level="1" />
                 <field field_ref="cltcalipsoun"         level="1" />
-                <field field_ref="clcalipso"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsoice"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsoliq"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsoun"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsotmp"  level="1" axis_ref="temp" />
-                <field field_ref="clcalipsotmpice"  level="1" axis_ref="temp" />
-                <field field_ref="clcalipsotmpliq"  level="1" axis_ref="temp" />
-                <field field_ref="clcalipsotmpun"  level="1" axis_ref="temp" />
-                <field field_ref="parasol_refl"  level="1" axis_ref="sza" />
-                <field field_ref="parasol_crefl"  level="1" axis_ref="sza" />
-                <field field_ref="Ncrefl"  level="1" axis_ref="sza" />
+                <field field_ref="clcalipso"  level="1" />
+                <field field_ref="clcalipsoice"  level="1" />
+                <field field_ref="clcalipsoliq"  level="1" />
+                <field field_ref="clcalipsoun"  level="1" />
+                <field field_ref="clcalipsotmp"  level="1" />
+                <field field_ref="clcalipsotmpice"  level="1" />
+                <field field_ref="clcalipsotmpliq"  level="1" />
+                <field field_ref="clcalipsotmpun"  level="1" />
+                <field field_ref="parasol_refl"  level="1" />
+                <field field_ref="parasol_crefl"  level="1" />
+                <field field_ref="Ncrefl"  level="1" />
        		    <field field_ref="cfad_lidarsr532"  level="10" />
                 <field field_ref="atb532" level="10" />
@@ -37,9 +37,9 @@
                 <field field_ref="clthincalipso"           level="1" />
                 <field field_ref="clzopaquecalipso"        level="1" />
-                <field field_ref="clcalipsoopaque"   level="1" axis_ref="height" />
-                <field field_ref="clcalipsothin"     level="1" axis_ref="height" />
-                <field field_ref="clcalipsozopaque"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsoopacity"  level="1" axis_ref="height" />
-                <field field_ref="proftemp"  level="1" axis_ref="height"  />
+                <field field_ref="clcalipsoopaque"   level="1" />
+                <field field_ref="clcalipsothin"     level="1" />
+                <field field_ref="clcalipsozopaque"  level="1" />
+                <field field_ref="clcalipsoopacity"  level="1" />
+                <field field_ref="proftemp"  level="1" />
                 <field field_ref="profSR"  level="1" />
               </field_group>
Index: LMDZ6/branches/IPSLCM6.0.13/DefLists/file_def_histhfCOSP_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.13/DefLists/file_def_histhfCOSP_lmdz.xml	(revision 3012)
+++ LMDZ6/branches/IPSLCM6.0.13/DefLists/file_def_histhfCOSP_lmdz.xml	(revision 3015)
@@ -20,15 +20,15 @@
                 <field field_ref="clhcalipsoun"         level="1" />
                 <field field_ref="cltcalipsoun"         level="1" />
-                <field field_ref="clcalipso"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsoice"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsoliq"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsoun"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsotmp"  level="1" axis_ref="temp" />
-                <field field_ref="clcalipsotmpice"  level="1" axis_ref="temp" />
-                <field field_ref="clcalipsotmpliq"  level="1" axis_ref="temp" />
-                <field field_ref="clcalipsotmpun"  level="1" axis_ref="temp" />
-                <field field_ref="parasol_refl"  level="1" axis_ref="sza" />
-                <field field_ref="parasol_crefl"  level="1" axis_ref="sza" />
-                <field field_ref="Ncrefl"  level="1" axis_ref="sza" />
+                <field field_ref="clcalipso"  level="1" />
+                <field field_ref="clcalipsoice"  level="1" />
+                <field field_ref="clcalipsoliq"  level="1" />
+                <field field_ref="clcalipsoun"  level="1" />
+                <field field_ref="clcalipsotmp"  level="1" />
+                <field field_ref="clcalipsotmpice"  level="1" />
+                <field field_ref="clcalipsotmpliq"  level="1" />
+                <field field_ref="clcalipsotmpun"  level="1" />
+                <field field_ref="parasol_refl"  level="1" />
+                <field field_ref="parasol_crefl"  level="1" />
+                <field field_ref="Ncrefl"  level="1" />
        		    <field field_ref="cfad_lidarsr532"  level="10" />
                 <field field_ref="atb532" level="10" />
@@ -37,9 +37,9 @@
                 <field field_ref="clthincalipso"         level="10" />
                 <field field_ref="clzopaquecalipso"      level="10" />
-                <field field_ref="clcalipsoopaque"   level="10" axis_ref="height" />
-                <field field_ref="clcalipsothin"     level="10" axis_ref="height" />
-                <field field_ref="clcalipsozopaque"  level="10" axis_ref="height" />
-                <field field_ref="clcalipsoopacity"  level="10" axis_ref="height" />
-                <field field_ref="proftemp"  level="1" axis_ref="height" />
+                <field field_ref="clcalipsoopaque"   level="10" />
+                <field field_ref="clcalipsothin"     level="10" />
+                <field field_ref="clcalipsozopaque"  level="10" />
+                <field field_ref="clcalipsoopacity"  level="10" />
+                <field field_ref="proftemp"  level="1" />
                 <field field_ref="profSR"  level="1" />
               </field_group>
Index: LMDZ6/branches/IPSLCM6.0.13/DefLists/file_def_histmthCOSP_lmdz.xml
===================================================================
--- LMDZ6/branches/IPSLCM6.0.13/DefLists/file_def_histmthCOSP_lmdz.xml	(revision 3012)
+++ LMDZ6/branches/IPSLCM6.0.13/DefLists/file_def_histmthCOSP_lmdz.xml	(revision 3015)
@@ -38,9 +38,9 @@
                 <field field_ref="clthincalipso"         level="1" />
                 <field field_ref="clzopaquecalipso"      level="1" />
-                <field field_ref="clcalipsoopaque"   level="1" axis_ref="height" />
-                <field field_ref="clcalipsothin"     level="1" axis_ref="height" />
-                <field field_ref="clcalipsozopaque"  level="1" axis_ref="height" />
-                <field field_ref="clcalipsoopacity"  level="1" axis_ref="height" />
-                <field field_ref="proftemp"  level="1" axis_ref="height" />
+                <field field_ref="clcalipsoopaque"   level="1" />
+                <field field_ref="clcalipsothin"     level="1" />
+                <field field_ref="clcalipsozopaque"  level="1" />
+                <field field_ref="clcalipsoopacity"  level="1" />
+                <field field_ref="proftemp"  level="1" />
                 <field field_ref="profSR"  level="1" />
               </field_group>