Index: /LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml
===================================================================
--- /LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 3059)
+++ /LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 3060)
@@ -110,9 +110,9 @@
    <field id="CMIP6_hcfc22global"  field_ref="dummy_not_provided"         /> <!-- P1 (1e-12) mole_fraction_of_hcfc22_in_air : unset -->
    <field id="CMIP6_hfdsl"         field_ref="bils"> bils*fract_ter </field> <!-- P1 (W m-2) surface_downward_heat_flux_in_air : Downward Heat Flux at Land Surface -->
-   <field id="CMIP6_hfdsnb"        field_ref="dummy_XY"         /> <!-- P1 (W m-2) missing : Heat flux from snow into the ice or land under the snow. -->
+   <field id="CMIP6_hfdsnb"        field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) missing : Heat flux from snow into the ice or land under the snow. -->
    <field id="CMIP6_hfls"          field_ref="flat"             /> <!-- P1 (W m-2) surface_upward_latent_heat_flux : Surface Upward Latent Heat Flux -->
-   <field id="CMIP6_hfmlt"         field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_snow_and_ice_melt_heat_flux : Energy consumed or released during liquid/solid phase changes. -->
-   <field id="CMIP6_hfrs"          field_ref="dummy_XY"         /> <!-- P1 (W m-2) temperature_flux_due_to_rainfall_expressed_as_heat_flux_onto_snow_and_ice : Heat transferred to a snow cover by rain.. -->
-   <field id="CMIP6_hfsbl"         field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_snow_and_ice_sublimation_heat_flux : Energy consumed or released during vapor/solid phase changes. -->
+   <field id="CMIP6_hfmlt"         field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) surface_snow_and_ice_melt_heat_flux : Energy consumed or released during liquid/solid phase changes. -->
+   <field id="CMIP6_hfrs"          field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) temperature_flux_due_to_rainfall_expressed_as_heat_flux_onto_snow_and_ice : Heat transferred to a snow cover by rain.. -->
+   <field id="CMIP6_hfsbl"         field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) surface_snow_and_ice_sublimation_heat_flux : Energy consumed or released during vapor/solid phase changes. -->
    <field id="CMIP6_hfss"          field_ref="sens"             /> <!-- P1 (W m-2) surface_upward_sensible_heat_flux : Surface Upward Sensible Heat Flux -->
    <field id="CMIP6_hur"           field_ref="rhum"              /> <!-- P1 (%) relative_humidity : The relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->
@@ -133,7 +133,7 @@
    <field id="CMIP6_jpdftaureicemodis" field_ref="crimodis"     /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : MODIS Optical Thickness-Particle Size joint  distribution, ice -->
    <field id="CMIP6_jpdftaureliqmodis" field_ref="crlmodis"     /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : MODIS Optical Thickness-Particle Size joint  distribution, liquid -->
-   <field id="CMIP6_latitude"      field_ref="lat"              /> <!-- P1 (degrees_north) latitude : latitude -->
-   <field id="CMIP6_lim"           field_ref="dummy_0d"         /> <!-- P2 (kg) land_ice_mass : The ice sheet mass is computed as the volume times density -->
-   <field id="CMIP6_limnsw"        field_ref="dummy_0d"         /> <!-- P2 (kg) land_ice_mass_not_displacing_sea_water : The ice sheet mass is computed as the volume above flotation times density. Changes in land_ice_mass_not_displacing_sea_water will always result in a change in sea level, unlike changes in land_ice_mass which may not result in sea level change (such as melting of the floating ice shelves, or portion of ice that sits on bedrock below sea level) -->
+   <field id="CMIP6_latitude"      field_ref="io_lat"              /> <!-- P1 (degrees_north) latitude : latitude -->
+   <field id="CMIP6_lim"           field_ref="dummy_not_provided"         /> <!-- P2 (kg) land_ice_mass : The ice sheet mass is computed as the volume times density -->
+   <field id="CMIP6_limnsw"        field_ref="dummy_not_provided"         /> <!-- P2 (kg) land_ice_mass_not_displacing_sea_water : The ice sheet mass is computed as the volume above flotation times density. Changes in land_ice_mass_not_displacing_sea_water will always result in a change in sea level, unlike changes in land_ice_mass which may not result in sea level change (such as melting of the floating ice shelves, or portion of ice that sits on bedrock below sea level) -->
    <field id="CMIP6_loadbc"        field_ref="loadbc"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_black_carbon_dry_aerosol : unset -->
    <field id="CMIP6_loaddust"      field_ref="loaddust"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_dust_dry_aerosol : unset -->
@@ -145,5 +145,5 @@
    <field id="CMIP6_loadsoa"       field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_secondary_particulate_organic_matter_dry_aerosol : unset -->
    <field id="CMIP6_loadss"        field_ref="loadss"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_seasalt_dry_aerosol : unset -->
-   <field id="CMIP6_longitude"     field_ref="lon"              /> <!-- P1 (degrees_east) longitude : Longitude -->
+   <field id="CMIP6_longitude"     field_ref="io_lon"              /> <!-- P1 (degrees_east) longitude : Longitude -->
    <field id="CMIP6_lwsffluxaero"  field_ref="dummy_XY"         /> <!-- P2 (W m-2) longwave__flux__due_to_volcanic_aerosols_at_the_surface : downwelling longwave  flux  due to volcanic aerosols at the surface to be diagnosed through double radiation call -->
    <field id="CMIP6_lwsrfasdust"   field_ref="dummy_XY"         /> <!-- P1 (W m-2) tendency_of_all_sky_surface_longwave_flux_to_dust_ambient_aerosol_particles : Balkanski - LSCE -->
@@ -251,5 +251,5 @@
    <field id="CMIP6_rtmt"          field_ref="nettop"           /> <!-- P1 (W m-2) net_downward_radiative_flux_at_top_of_atmosphere_model : Net Downward Radiative Flux at Top of Model : I.e., at the top of that portion of the atmosphere where dynamics are explicitly treated by the model. This is reported only if it differs from the net downward radiative flux at the top of the atmosphere. -->
    <field id="CMIP6_rv"            field_ref="dummy_XY"         /> <!-- P1 (s-1) atmosphere_relative_vorticity : Relative Vorticity at 850 hPa -->
-   <field id="CMIP6_sblnosn"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) sublimation_amount_assuming_no_snow : Sublimation of the snow free area -->
+   <field id="CMIP6_sblnosn"       field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) sublimation_amount_assuming_no_snow : Sublimation of the snow free area -->
    <field id="CMIP6_sci"           field_ref="ftime_th"         /> <!-- P1 (1.0) shallow_convection_time_fraction : Fraction of time that shallow convection occurs in the grid cell. -->
    <field id="CMIP6_scldncl"       field_ref="dummy_XY"         /> <!-- P1 (m-3) number_concentration_of_stratiform_cloud_liquid_water_particles_in_air_at_liquid_water_cloud_top : Droplets are liquid only.  Report concentration "as seen from space" over stratiform liquid cloudy portion of grid cell.  This is the value from uppermost model layer with liquid cloud or, if available, it is better to sum over all liquid cloud tops, no matter where they occur, as long as they are seen from the top of the atmosphere. Weight by total liquid cloud top fraction of  (as seen from TOA) each time sample when computing monthly mean. -->
@@ -263,8 +263,8 @@
    <field id="CMIP6_siltfrac"      field_ref="dummy_not_provided"       /> <!-- P1 (1.0) missing : Silt Fraction -->
    <field id="CMIP6_smc"           field_ref="f_th"        /> <!-- P2 (kg m-2 s-1) atmosphere_net_upward_shallow_convective_mass_flux : The net mass flux represents the difference between the updraft and downdraft components.  For models with a distinct shallow convection scheme, this is calculated as convective mass flux divided by the area of the whole grid cell (not just the area of the cloud). -->
-   <field id="CMIP6_snmsl"         field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) surface_snow_melt_flux_into_soil_layer : Water flowing out of snowpack -->
+   <field id="CMIP6_snmsl"         field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) surface_snow_melt_flux_into_soil_layer : Water flowing out of snowpack -->
    <field id="CMIP6_snowmxrat"     field_ref="dummy_XYA"        /> <!-- P3 (1.0) mass_fraction_of_snow_in_air : Snow mixing ratio -->
-   <field id="CMIP6_snrefr"        field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) surface_snow_and_ice_refreezing_flux : Re-freezing of water in the snow -->
-   <field id="CMIP6_snwc"          field_ref="dummy_XY"         /> <!-- P1 (kg m-2) canopy_snow_amount : Total water mass of the snowpack (liquid or frozen), averaged over a grid cell and interecepted by the canopy. -->
+   <field id="CMIP6_snrefr"        field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) surface_snow_and_ice_refreezing_flux : Re-freezing of water in the snow -->
+   <field id="CMIP6_snwc"          field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2) canopy_snow_amount : Total water mass of the snowpack (liquid or frozen), averaged over a grid cell and interecepted by the canopy. -->
    <field id="CMIP6_solbnd"        field_ref="solbnd"         /> <!-- P1 (W m-2) band_solar_insolation : Top-of-Atmosphere Solar Insolation for each band -->
    <field id="CMIP6_swsffluxaero"  field_ref="dummy_XY"         /> <!-- P2 (W m-2) shortwave__flux_due_to_volcanic_aerosols_at__the_surface : shortwave heating rate due to volcanic aerosols to be diagnosed through double radiation call, zonal average values required -->
@@ -273,5 +273,5 @@
    <field id="CMIP6_swtoaasdust"   field_ref="dummy_XY"         /> <!-- P1 (W m-2) toa_instantaneous_shortwave_forcing : proposed name: toa_instantaneous_shortwave_forcing_due_to_dust_ambient_aerosol -->
    <field id="CMIP6_swtoacsdust"   field_ref="dummy_XY"         /> <!-- P1 (W m-2) toa_instantaneous_shortwave_forcing : proposed name: toa_instantaneous_shortwave_forcing_due_to_dust_ambient_aerosol_assuming_clear_sky -->
-   <field id="CMIP6_swtoafluxaerocs" field_ref="dummy_XY"       /> <!-- P1 (W m-2) shortwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling shortwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
+   <field id="CMIP6_swtoafluxaerocs" field_ref="dummy_XY"         /> <!-- P1 (W m-2) shortwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling shortwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
    <field id="CMIP6_sza"           field_ref="dummy_XY"         /> <!-- P1 (degree) solar_zenith_angle : The angle between the line of sight to the sun and the local vertical -->
    <field id="CMIP6_t2"            field_ref="dummy_XYA"        /> <!-- P2 (K2) square_of_air_temperature : Air temperature squared -->
@@ -288,7 +288,7 @@
    <field id="CMIP6_tauvpbl"       field_ref="dummy_XY"         /> <!-- P1 (Pa) surface_downward_northward_stress_due_to_planetary_boundary_layer : The  downward northward stress associated with the models parameterization of the planetary boundary layer. (This request is related to a WGNE effort to understand how models parameterize the surface stresses.) -->
    <field id="CMIP6_tdps"          field_ref="dummy_XY"         /> <!-- P2 (K) dew_point_temperature : unset -->
-   <field id="CMIP6_tendacabf"     field_ref="dummy_0d"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_surface_mass_balance : The total surface mass balance flux over land ice is a spatial integration of the surface mass balance flux -->
-   <field id="CMIP6_tendlibmassbf" field_ref="dummy_0d"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_basal_mass_balance : The total basal mass balance flux over land ice is a spatial integration of the basal mass balance flux -->
-   <field id="CMIP6_tendlicalvf"   field_ref="dummy_0d"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_calving : The total calving flux over land ice is a spatial integration of the calving flux -->
+   <field id="CMIP6_tendacabf"     field_ref="dummy_not_provided"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_surface_mass_balance : The total surface mass balance flux over land ice is a spatial integration of the surface mass balance flux -->
+   <field id="CMIP6_tendlibmassbf" field_ref="dummy_not_provided"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_basal_mass_balance : The total basal mass balance flux over land ice is a spatial integration of the basal mass balance flux -->
+   <field id="CMIP6_tendlicalvf"   field_ref="dummy_not_provided"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_calving : The total calving flux over land ice is a spatial integration of the calving flux -->
    <field id="CMIP6_tnhus"         field_ref="tnhus"            /> <!-- P1 (s-1) tendency_of_specific_humidity : Tendency of Specific Humidity -->
    <field id="CMIP6_tnhusa"        field_ref="dqdyn"            /> <!-- P1 (s-1) tendency_of_specific_humidity_due_to_advection : Tendency of Specific Humidity due to Advection -->
@@ -296,5 +296,5 @@
    <field id="CMIP6_tnhusd"        field_ref="dqvdf"            /> <!-- P1 (s-1) tendency_of_specific_humidity_due_to_diffusion : Tendency of specific humidity due to numerical diffusion.This includes any horizontal or vertical numerical moisture diffusion not associated with the parametrized moist physics or the resolved dynamics.  For example, any vertical diffusion which is part of the boundary layer mixing scheme should be excluded, as should any diffusion which is included in the terms from the resolved dynamics.   This term is required to check the closure of the moisture budget. -->
    <field id="CMIP6_tnhusmp"       field_ref="dqphy"            /> <!-- P1 (s-1) tendency_of_specific_humidity_due_to_model_physics : Tendency of specific humidity due to model physics. This includes sources and sinks from parametrized moist physics (e.g. convection, boundary layer, stratiform condensation/evaporation, etc.) and excludes sources and sinks from resolved dynamics or from horizontal or vertical numerical diffusion not associated with model physicsl.  For example any diffusive mixing by the boundary layer scheme would be included. -->
-   <field id="CMIP6_tnhuspbl"      field_ref="dqvdf"             > dqvdf+dqthe <!-- P1 (s-1) tendency_of_specific_humidity_due_to_boundary_layer_mixing : Includes all boundary layer terms including diffusive terms. -->
+   <field id="CMIP6_tnhuspbl"      field_ref="dqvdf"             > dqvdf+dqthe </field> <!-- P1 (s-1) tendency_of_specific_humidity_due_to_boundary_layer_mixing : Includes all boundary layer terms including diffusive terms. -->
    <field id="CMIP6_tnhusscp"      field_ref="dqlscst"          /> <!-- P1 (s-1) tendency_of_specific_humidity_due_to_stratiform_clouds_and_precipitation : Tendency of Specific Humidity Due to Stratiform Clouds and Precipitation -->
    <field id="CMIP6_tnhusscpbl"    field_ref="tnhusscpbl"       /> <!-- P1 (s-1) tendency_of_specific_humidity_due_to_stratiform_cloud_and_precipitation_and_boundary_layer_mixing : Tendency of Specific Humidity Due to Stratiform Cloud and Precipitation and Boundary Layer Mixing  (to be specified only in  models which do not separate budget terms for stratiform cloud, precipitation and boundary layer schemes.  Includes all bounday layer terms including and diffusive terms.) -->
@@ -314,6 +314,6 @@
    <field id="CMIP6_tr"            field_ref="dummy_XY"         /> <!-- P1 (K) surface_temperature : Effective radiative surface temperature, averaged over the grid cell -->
    <field id="CMIP6_ts"            field_ref="tsol"             /> <!-- P1 (K) surface_temperature : Temperature of the lower boundary of the atmosphere -->
-   <field id="CMIP6_tsns"          field_ref="dummy_XY"         /> <!-- P1 (K) surface_temperature : Temperature of the snow surface as it interacts with the atmosphere, averaged over a grid cell. -->
-   <field id="CMIP6_twap"          field_ref="omega">vitw*temp </field> <!-- P2 (K Pa s-1) product_of_omega_and_air_temperature : Product of air temperature and pressure tendency -->
+   <field id="CMIP6_tsns"          field_ref="dummy_not_provided"         /> <!-- P1 (K) surface_temperature : Temperature of the snow surface as it interacts with the atmosphere, averaged over a grid cell. -->
+   <field id="CMIP6_twap"          field_ref="vitw">vitw*temp </field> <!-- P2 (K Pa s-1) product_of_omega_and_air_temperature : Product of air temperature and pressure tendency -->
    <field id="CMIP6_u2"            field_ref="vitu"              > vitu*vitu</field> <!-- P2 (m2 s-2) square_of_eastward_wind : u*u -->
    <field id="CMIP6_ua"            field_ref="vitu"             /> <!-- P1 (m s-1) eastward_wind : Eastward Wind -->
@@ -345,5 +345,5 @@
    <field id="CMIP6_ygwdparam"     field_ref="west_gwstress"        /> <!-- P2 (Pa) atmosphere_northward_stress_due_to_gravity_wave_drag : Parameterised y- component of gravity wave drag -->
    <field id="CMIP6_zfull"         field_ref="zfull"            /> <!-- P2 (m) height_above_reference_ellipsoid : Altitude of Model Full-Levels -->
-   <field id="CMIP6_zg"            field_ref="phis"             /> <!-- P1 (m) geopotential_height : Geopotential height on the 1000 hPa surface -->
+   <field id="CMIP6_zg"            field_ref="zg"               /> <!-- P1 (m) geopotential_height : Geopotential height on the 1000 hPa surface -->
    <field id="CMIP6_zhalf"         field_ref="zhalf"            /> <!-- P2 (m) height_above_reference_ellipsoid : Altitude of Model Half-Levels -->
    <field id="CMIP6_zmla"          field_ref="dummy_XY"         /> <!-- P1 (m) atmosphere_boundary_layer_thickness : Height of Boundary Layer -->